Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122240 - Review Request: nodejs-stable - A stable array sort for JavaScript
Summary: Review Request: nodejs-stable - A stable array sort for JavaScript
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122209
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:06 UTC by Ralph Bean
Modified: 2014-08-15 02:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 18:53:01 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:06:20 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-stable.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-stable-0.1.5-1.fc20.src.rpm

Description:
A stable array sort, because `Array#sort()` is not guaranteed stable.

Comment 1 Parag AN(पराग) 2014-07-23 08:30:00 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-stable.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :37d6be958fec58fd41051a4d4b52f493bac3315739a5cae6b002b8621aa431fb
upstream tarball :37d6be958fec58fd41051a4d4b52f493bac3315739a5cae6b002b8621aa431fb

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:11:26 UTC
New Package SCM Request
=======================
Package Name: nodejs-stable
Short Description: A stable array sort for JavaScript
Upstream URL: https://npmjs.org/package/stable
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:45:26 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:52:02 UTC
nodejs-stable-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-stable-0.1.5-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:52:11 UTC
nodejs-stable-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-stable-0.1.5-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:53:01 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:49:58 UTC
nodejs-stable-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:52:52 UTC
nodejs-stable-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.